Subject: Re: What's cooking in git.git (Apr 2015, #04; Mon, 27)

From: Michael Haggerty <[email-masked]>
Date: Thu, 30 Apr 2015 08:55:12 +0200

On 04/30/2015 12:42 AM, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
>> Here are the topics that have been cooking.  Commits prefixed with
>> '-' are only in 'pu' (proposed updates) while commits prefixed with
>> '+' are in 'next'.
>> ...
> 
> There are a handful of topics that are almost there but not
> finished.  Could the topic owners and area submaintainers who are
> involved in them report their current status soonish, please, to
> help me decide to keep or discard them?
> [...]
>> * mh/numparse (2015-03-19) 14 commits
>>  - diff_opt_parse(): use convert_i() when handling --abbrev=<num>
>>  - diff_opt_parse(): use convert_i() when handling "-l<num>"
>>  - opt_arg(): simplify pointer handling
>>  - opt_arg(): report errors parsing option values
>>  - opt_arg(): use convert_i() in implementation
>>  - opt_arg(): val is always non-NULL
>>  - builtin_diff(): detect errors when parsing --unified argument
>>  - handle_revision_opt(): use convert_ui() when handling "--abbrev="
>>  - strtoul_ui(), strtol_i(): remove functions
>>  - handle_revision_opt(): use convert_i() when handling "-<digit>"
>>  - handle_revision_opt(): use skip_prefix() in many places
>>  - write_subdirectory(): use convert_ui() for parsing mode
>>  - cacheinfo_callback(): use convert_ui() when handling "--cacheinfo"
>>  - numparse: new module for parsing integral numbers
>>
>>  Many codepaths use unchecked use of strtol() and friends (or even
>>  worse, atoi()).  Introduce a set of wrappers that try to be more
>>  careful.
>>
>>  Waiting for a reroll ($gmane/266209).

Yes, I've started rerolling this series a bit less ambitiously; i.e.,
introduce the numparse API but in the first iteration avoid changing the
behavior of the code that is doing the parsing. No ETA, I'm afraid.

Feel free to drop v1 from your repository unless you think it might be
useful as a reminder or object for discussion or something.

Michael

-- 
Michael Haggerty
[email-masked]